function [ output ] = medianFilter( input,radius )
% a median filter using a window with radius of radius. 
% papermedian filtering in constant time
sz=size(input);
height=sz(1);
width=sz(2);
p=double(input);
output=p;
for i=radius+1:height-radius
    for j=radius+1:width-radius
        window=p(i-radius:i+radius,j-radius:j+radius);
        output(i,j)=median(median(window));
    end
end
end